Bug 175260 - [asmc] [patch] add support for Macbook 3.1
Summary: [asmc] [patch] add support for Macbook 3.1
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Adrian Chadd
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-13 13:00 UTC by cheunghonyu
Modified: 2016-08-24 17:15 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (866 bytes, patch)
2013-01-13 13:00 UTC, cheunghonyu
no flags Details | Diff
asmc_patch.txt (1.53 KB, text/plain; charset=US-ASCII)
2013-01-13 13:44 UTC, cheunghonyu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cheunghonyu 2013-01-13 13:00:00 UTC
asmc(4) add support Macbook 3,1

Fix: apply the patch.txt

Patch attached with submission follows:
Comment 1 cheunghonyu 2013-01-13 13:44:17 UTC
Sorry.. upload the complete patch.txt for asmc.c & asmcvar.h
Comment 2 Adrian Chadd freebsd_committer 2013-01-15 17:42:06 UTC
Responsible Changed
From-To: freebsd-bugs->adrian

I'll snaffle this.
Comment 3 commit-hook freebsd_committer 2016-05-02 19:15:36 UTC
A commit references this bug:

Author: adrian
Date: Mon May  2 19:15:16 UTC 2016
New revision: 298937
URL: https://svnweb.freebsd.org/changeset/base/298937

Log:
  [asmc] add support for more models and restore keyboard backlight after resume.

  This patch adds support for restoring backlight after resume and adds models
  Macbook3,1
  MacbookAir5,1
  MacbookAir5,2

  It also incorporates fixes for bug #175260, bug #203610 and bug #203512
  so those can be closed if this patch is applied.

  PR:		kern/209156
  PR: kern/175260
  PR: kern/203610
  PR: kern/203512
  Submitted by:	Johannes Lundberg <johannes@brilliantservice.co.jp>

Changes:
  head/sys/dev/asmc/asmc.c
  head/sys/dev/asmc/asmcvar.h
Comment 4 Johannes Lundberg 2016-08-24 17:07:26 UTC
Committed - fixed. 
Please close.